## ARM ARM — code generation for ARM |

## Types and Values

enum | OrcArmCond
enum | OrcArmDP
enum | OrcArmRegister

## Description

## Functions

## Types and Values

### enum OrcArmCond

#### Members

ORC_ARM_COND_EQ |  |
ORC_ARM_COND_NE |  |
ORC_ARM_COND_CS |  |
ORC_ARM_COND_CC |  |
ORC_ARM_COND_MI |  |
ORC_ARM_COND_PL |  |
ORC_ARM_COND_VS |  |
ORC_ARM_COND_VC |  |
ORC_ARM_COND_HI |  |
ORC_ARM_COND_LS |  |
ORC_ARM_COND_GE |  |
ORC_ARM_COND_LT |  |
ORC_ARM_COND_GT |  |
ORC_ARM_COND_LE |  |
ORC_ARM_COND_AL |  |

### enum OrcArmDP

#### Members

ORC_ARM_DP_AND |  |
ORC_ARM_DP_EOR |  |
ORC_ARM_DP_SUB |  |
ORC_ARM_DP_RSB |  |
ORC_ARM_DP_ADD |  |
ORC_ARM_DP_ADC |  |
ORC_ARM_DP_SBC |  |
ORC_ARM_DP_RSC |  |
ORC_ARM_DP_TST |  |
ORC_ARM_DP_TEQ |  |
ORC_ARM_DP_CMP |  |
ORC_ARM_DP_CMN |  |
ORC_ARM_DP_ORR |  |
ORC_ARM_DP_MOV |  |
ORC_ARM_DP_BIC |  |
ORC_ARM_DP_MVN |  |

### enum OrcArmRegister

#### Members

ORC_ARM_A1 |  |
ORC_ARM_A2 |  |
ORC_ARM_A3 |  |
ORC_ARM_A4 |  |
ORC_ARM_V1 |  |
ORC_ARM_V2 |  |
ORC_ARM_V3 |  |
ORC_ARM_V4 |  |
ORC_ARM_V5 |  |
ORC_ARM_V6 |  |
ORC_ARM_V7 |  |
ORC_ARM_V8 |  |
ORC_ARM_IP |  |
ORC_ARM_SP |  |
ORC_ARM_LR |  |
ORC_ARM_PC |  |